1. Bill Payments
ZamuPay API Documentation
  • Introduction
  • Definitions
    • Data Types
    • Transactions Response Codes
    • MCCMNC Codes
  • Authorization
    • Overview
    • Token Request
      POST
    • Find Transaction Routes
      GET
    • Health Check
      GET
  • Payouts
    • Overview
    • Payment Order Request Information
    • Mobile Money Requests
      • Overview
      • Mobile Transfers- Safaricom (M-Pesa)
      • Mobile Transfers - Airtel Money
    • Payment Order Requests - Business Transfers
      POST
    • Payment Order Requests - Bank Transfers
      POST
    • Find Payment Order By OriginatorConversationId
      GET
    • Reject Order By OriginatorConversationId
      POST
  • Pay-Ins
    • Payment Links
      • Overview
      • Create Payment Link
      • Find Payment Links By Id
      • Update Payment Link
    • Express Deposits
      • Overview
      • Express Deposit Request
      • Find Express Deposit By OriginatorConversationId
    • C2B IPN (Callback)
      • C2B IPN Overview
  • Card Payments
    • ZamuPay Server To Server Card Integration
      • Overview
      • 1. Authentication
        • Generate Auth Token
      • 2. Capture Context
        • Generate Capture Context
      • 3. Core Payment Flow
        • Payment Authorisation
        • Payment Capture
        • Payment Void
        • Payment Refund
      • 4. 3D Secure (Payer Authentication)
        • 3DS Setup
        • 3DS Enrolment Check
        • 3DS Validate Result
      • 5. Decision Manager (Fraud Screening)
        • Fraud Screen Transaction
      • 6. Payment Instruments (Card Tokenisation)
        • Save Card
        • Retrieve Saved Card
        • Delete Saved Card
      • 7. Transaction Search
        • Query Transactions
        • Get Transaction by ID
      • 8. Webhooks
        • Register Webhook Endpoint
        • List Registered Webhooks
        • Delete Webhook Endpoint
    • Cards Processing
      • Overview
      • Checkout Order Request
      • Query Checkout Request
      • Checkout Callback Request
  • Account Validation
    • Overview
    • Account Number Validation Request
    • Find KYC Status by SystemTraceAuditNumber
    • Account Validation
    • Find Account Validation Status by SystemTraceAuditNumber
  • Platform Services
    • Airtime Purchase
      • Overview
      • Airtime Purchase
      • Find Airtime Purchases By OriginatorConversationId
    • Customer Accounts
      • Balance Check
      • Find Charges By TransactionTypeId
    • Bill Payments
      • Overview
      • Bill Request Validation
        POST
      • Bill Request Payment
        POST
      • Find Bill Services
        GET
      • Find Bill Number By Service Id and Account Number
        GET
      • Find Bill Request By Originator Converstion Id
        GET
      • Bill Number
        POST
  1. Bill Payments

Find Bill Number By Service Id and Account Number

https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
GET
/v1/bill-numbers
This is a GET request that returns the saved billing information using the ServiceId and AccountNumber

ServiceId: This is a number that represents the different services available. Check the table Services for the list of service Ids
, or use the Find Bill Services API to get list of services
AccountNumber: Account number reference for pay bill transactions.

Sample success response:#

{
    "serviceId": "860a26ce-4828-f111-bc5a-0e7d952d79b8",
    "customerName": "EXECUTIVE CONCEPTS",
    "accountNumber": "104963",
    "phoneNumber": "254718621991",
    "enabled": true,
    "verified": true,
    "dueDate": "2021-10-18 00:00:00",
    "lastKnownBalance": 2697.00,
    "remindMeDueDate": true,
    "remarks": "Test Benson's DSTV",
    "serviceType": "KPLC POSTPAID",
    "serviceCategory": "ELECTRICITY"
}

Request

Authorization
Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://auth.zamupay.com/v1/bill-numbers?ServiceId=820a26ce-4828-f111-bc5a-0e7d952d79b7&AccountNumber=104963'
Response Response Example
{}
Modified at 2026-04-16 18:47:05
Previous
Find Bill Services
Next
Find Bill Request By Originator Converstion Id
Built with